Archive for July, 2007

pyphantom 0.1.1 in action



This screenshot is for those that haven’t seen pyphantom in action. pyphantom is running under Gutsy with the packages (dependencies and release) taken from here. The project being previewed can be found at our Subversion repository.

Advertisements

pyphantom on Mac OS is stuck again

I’m stuck again in the process of getting pyphantom working under Mac OS X 10.3.9 with MacPorts. GTK is already working and gedit is running fine with syntax highlight, but as far as I know we need the package gnome-python-extras for gtksourceview’s Python bindings. Some of gnome-python-extras’s dependencies are quite problematic. After some struggling at compiling liboil now the problem is with libgnomekbd:

...
In file included from /opt/local/include/libbonobo-2.0/bonobo/bonobo-i18n.h:37,
         from /opt/local/include/libgnome-2.0/libgnome/gnome-i18n.h:41,
         from /opt/local/include/libgnome-2.0/libgnome/libgnome.h:30,
         from /opt/local/include/libgnomeui-2.0/gnome.h:5,
         from gkbd-indicator-test.c:34:
/opt/local/include/glib-2.0/glib/gi18n.h:30:1: "N_" redefined
In file included from /opt/local/include/libgnome-2.0/libgnome/gnome-program.h:41,
         from /opt/local/include/libgnome-2.0/libgnome/libgnome.h:29,
         from /opt/local/include/libgnomeui-2.0/gnome.h:5,
         from gkbd-indicator-test.c:34:
/opt/local/include/popt.h:161:1: this is the location of the previous definition
make[2]: *** [gkbd_indicator_test-gkbd-indicator-test.o] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2

At least there is already a related problem reported here, and somebody is working on it. Also this issue seems to be a GNOME wide problem as seen here.


Twitter Updates

July 2007
S M T W T F S
    Aug »
1234567
891011121314
15161718192021
22232425262728
293031